import React from 'react';
import Col from '../col';
import Row from '../row';
import classnames from 'classnames';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
const CardLoading = props => {
  const {
    style,
    prefix,
    className
  } = props;
  return /*#__PURE__*/_jsxs("div", {
    className: classnames(`${prefix}-loading-content`, className),
    style: style,
    children: [/*#__PURE__*/_jsx(Row, {
      gutter: 8,
      children: /*#__PURE__*/_jsx(Col, {
        span: 22,
        children: /*#__PURE__*/_jsx("div", {
          className: `${prefix}-loading-block`
        })
      })
    }), /*#__PURE__*/_jsxs(Row, {
      gutter: 8,
      children: [/*#__PURE__*/_jsx(Col, {
        span: 8,
        children: /*#__PURE__*/_jsx("div", {
          className: `${prefix}-loading-block`
        })
      }), /*#__PURE__*/_jsx(Col, {
        span: 15,
        children: /*#__PURE__*/_jsx("div", {
          className: `${prefix}-loading-block`
        })
      })]
    }), /*#__PURE__*/_jsxs(Row, {
      gutter: 8,
      children: [/*#__PURE__*/_jsx(Col, {
        span: 6,
        children: /*#__PURE__*/_jsx("div", {
          className: `${prefix}-loading-block`
        })
      }), /*#__PURE__*/_jsx(Col, {
        span: 18,
        children: /*#__PURE__*/_jsx("div", {
          className: `${prefix}-loading-block`
        })
      })]
    }), /*#__PURE__*/_jsxs(Row, {
      gutter: 8,
      children: [/*#__PURE__*/_jsx(Col, {
        span: 13,
        children: /*#__PURE__*/_jsx("div", {
          className: `${prefix}-loading-block`
        })
      }), /*#__PURE__*/_jsx(Col, {
        span: 9,
        children: /*#__PURE__*/_jsx("div", {
          className: `${prefix}-loading-block`
        })
      })]
    }), /*#__PURE__*/_jsxs(Row, {
      gutter: 8,
      children: [/*#__PURE__*/_jsx(Col, {
        span: 4,
        children: /*#__PURE__*/_jsx("div", {
          className: `${prefix}-loading-block`
        })
      }), /*#__PURE__*/_jsx(Col, {
        span: 3,
        children: /*#__PURE__*/_jsx("div", {
          className: `${prefix}-loading-block`
        })
      }), /*#__PURE__*/_jsx(Col, {
        span: 16,
        children: /*#__PURE__*/_jsx("div", {
          className: `${prefix}-loading-block`
        })
      })]
    })]
  });
};
export default CardLoading;